/// <reference types="node" />
/// <reference types="node" />
import * as fs from "fs";
import { RetentionStrategyMaxFilesOptions } from "../api";
import { FileSize, RetentionStrategy } from "../api/RetentionStrategy";
/**
 * Implements the max files retention strategy.
 */
export declare class RetentionStrategyMaxFiles implements RetentionStrategy {
    private readonly _directory;
    private readonly _encoding;
    private readonly _namePrefix;
    private readonly _extension;
    private readonly _maxFileSize;
    private readonly _maxFileSizeBytes;
    private readonly _maxFiles;
    private readonly _allowedFileNamesShort;
    private readonly _log;
    private _onRollOver;
    private _lastFileShortName;
    constructor(options: Required<RetentionStrategyMaxFilesOptions>);
    get encoding(): BufferEncoding;
    get maxFileSize(): FileSize;
    initialize(onRollOver: (path: fs.PathLike) => void): void;
    nextFile(mustRollOver: boolean): [path: fs.PathLike, size: number];
    private rolloverFile;
    /**
     * Get all matching log files
     * @private
     */
    private getLogFiles;
    private getLogFileName;
    private getShortFileName;
    private determineCurrentFile;
}
//# sourceMappingURL=RetentionStrategyMaxFiles.d.ts.map